#!/usr/bin/python

import difflib
import os
import subprocess
import sys
import time

base_dir = "/srv/package-import.canonical.com/new/"
if not os.path.exists(base_dir):
    base_dir = "."
logs_dir = os.path.join(base_dir, "logs")

proc = subprocess.Popen(["ls", "-l", logs_dir], stdout=subprocess.PIPE)
output1, _ = proc.communicate()
assert proc.returncode == 0
time.sleep(4)
proc2 = subprocess.Popen(["ls", "-l", logs_dir], stdout=subprocess.PIPE)
output2, _ = proc2.communicate()
assert proc2.returncode == 0
for line in difflib.unified_diff(output1.splitlines(), output2.splitlines()):
    sys.stdout.write(line + "\n")
